« MediaWiki:Common.css » : différence entre les versions

De Wiki Dragon Quest
mAucun résumé des modifications
Annulation des modifications 97667 de Tigali (discussion)
Balise : Annulation
 
(88 versions intermédiaires par 2 utilisateurs non affichées)
Ligne 1 : Ligne 1 :
/** Met en italique les redirections dans Special:Allpages et Special:Watchlist **/
/** Met en italique les redirections dans Special:Allpages et Special:Watchlist **/
.allpagesredirects, .watchlistredir { font-style: italic;  }
.allpagesredirects, .watchlistredir { font-style: italic;  }
/* Possibilité de ne pas mettre le titre sous une vidéo */
.no-caption .article-thumb figcaption {
display:none;
}
/*
* PAGE D'ACCUEIL
* Ancienne version
*/
/* Boîte de accueil */
.fond-boite {
background-image: url('//wikidragonquest.fr/images/8/8a/Fond_carte.png');
border: 2px solid black;
padding: 7px;
margin-top: 6px;
}
/* En-tête de boîte de l'accueil */
.fond-entete {
background-image: url('//wikidragonquest.fr/images/9/94/Fond-entete.png');
font-size: 150%;
color: white;
border-radius: 0.1em;
padding: 5px 10px;
}
/* Tour de boîte de l'accueil */
.tour-boite {
border: 2px solid #BBB;
margin-top: 6px;
padding: 7px;
background-color: #333;
}
.maincategories {
display: flex;
flex-wrap: wrap;
justify-content: center;
}


/*
/*
Ligne 51 : Ligne 8 :


.box_accueil {
.box_accueil {
border: 2px solid black;
padding-top: 3px;
padding-top: 5px;
margin-top: 10px;
margin-top: 10px;
border-radius: 3px;
border-radius: 3px;
border: solid 1px #888;
}
}


.box_accueil * {
.box_accueil * {
padding: 5px;
padding: 7px;
}
}


.titre_box_accueil {
.box_accueil .header {
border: 1px solid blue;
padding:0.4em;
border-radius: 3px 3px 0 0;
color: white;
text-align: center;
text-align: center;
border-radius: 3px;
background: #49C6DE;
font-weight: bold;
font-size:150%;
font-size: 150%;
margin-left: 3px;
margin-right: 3px;
}
 
#header_portails {
background: #7CDE54;
}
}


#actuetautre {  /* MEDIAQUERY À FAIRE */
#actuetautre {  /*AFFECTÉ PAR UNE MEDIAQUERY*/
display: flex;
display: flex;
flex-flow: row nowrap;
flex-flow: row nowrap;
Ligne 75 : Ligne 39 :


#actu {
#actu {
min-width: 65%;
width: 65%;
flex-grow: 1;
flex-grow: 1;
}
}
Ligne 81 : Ligne 45 :
#autre {
#autre {
flex-grow: 1;
flex-grow: 1;
width: 30%;
}
}


#flex_portails { /* MEDIAQUERY À FAIRE */
#flex_portails { /*AFFECTÉ PAR UNE MEDIAQUERY*/
display: flex;
display: flex;
flex-flow: row nowrap;
flex-flow: row wrap;
}
 
#portails #flex_portails {
justify-content: center;
}
}


#flex_portails p {
#flex_portails p {
justify-content: space-around;
flex-grow: 1;
flex-grow: 1;
}
}
Ligne 98 : Ligne 67 :
}
}


#flex_partenariats div { /*MEDIAQUERY À FAIRE*/
#flex_partenariats div { /*AFFECTÉ PAR UNE MEDIAQUERY*/
justify-content: space-around;
justify-content: space-around;
flex-grow: 1;
flex-grow: 1;
Ligne 105 : Ligne 74 :


#actu {
#actu {
margin-right: 5px;
margin-right: 8px;
background-color: #E3FFFC;
background-color: #DAF9FF;
}
 
#autre {
background-color: #EDFCFF;
}
}


#partenariats {
#partenariats {
background-color: #E3FFFC;
background-color: #DAF9FF;
}
 
#partenariats #flex_partenariats {
padding-right:40px;
padding-left:40px;
}
}


#portails {
#portails {
background-color: #F8FFFE;
background-color: #E4FFD0;
}
 
@media screen and (max-width: 800px) {
#actuetautre {
display:flex;
flex-flow: column nowrap;
}
#flex_portails {
display:flex;
flex-flow: row wrap;
}
#flex_partenariats {
display:flex;
flex-flow: column nowrap;
}
#actu {
width: 100%;
}
#autre {
width: 100%;
flex-grow: 1;
}
}
}


/*standard de couleur de fond, de bordure,
pour la plupart des modèles, notamment les tableaux*/
.standard-modele {
  background-color: #EFEFEF;
  border: solid 1px #888;
  border-radius: 3px;
}
/*standard à navboxes*/
.navbox {
width: 60%;
font-size: 89%;
}
/*infos spécifiques aux infoboxes*/
.infobox {
font-size: 89%;
width: 300px;
float: right;
margin-left: 10px;
}
.header {
color:#FFFFFF;
padding:0.5em;
border-radius: 3px 3px 0 0;
}
.infobox .header {
padding:1em;
font-size:120%;
}
.navbox .header {
font-size:120%;
}
.cellule-champ {
padding: 4px;
color: white;
font-weight: bold;
text-align: center;
}
.cellule-contenu {
background:#FAFAFA;
padding: 4px;
}
/*classes pour arrondis*/
.hg {
border-radius:3px 0 0 0;
}
.hd {
border-radius:0 3px 0 0;
}
.bd {
border-radius:0 0 3px 0;
}
.bg {
border-radius:0 0 0 3px;
}
/*Codes couleurs pour les différents thèmes*/
.cmonstre {
background: #00CC00;
}
.cboss {
background: #9C0C0C;
}
.cpersonnage {
background: #046380;
}
.cregion {
background: #298900;
}
.cdonjon {
background: #927D6A;
}
.cchanson {
background: #A67E2E;
}
.calbum {
background: #663E10;
}
.cfilm {
background: #000000;
}
.cepisode {
background: #444444;
}
.cgens {
background: #FF9300;
}
.cjeu {
background: #B1BBCE;
}
.csort {
background: #AE4ABE;
}
.ccompetence {
background: #B74000;
}
.calchimie {
background: #E9B813;
}
.cville {
background: #DFCEA0;
}
.clivre {
background: #B8B88D;
}
.cobjet {
background: #D1EA45;
}
.captitude {
background: #32E5FA;
}
.cequipement {
background: #B2DCDD;
}
.carme {
background: #DEA493;
}
.cattribut {
background: #D21E02;
}
.cmerch {
background: #6120AF;
}
/*Trucs à XFusio*/
/*
* Styles standards pour les tableaux
* Syntaxe : {| class="standard"
* Encore en cours de développement
*/
.standard {
  background-color: #EFEFEF;
  border: solid 1px #888;
  border-radius: 3px;
}
.standard tr:first-child > :first-child {
  border-top-left-radius: 3px;
}
.standard tr:first-child > :last-child {
  border-top-right-radius: 3px;
}
.standard tr:last-child > :first-child {
  border-bottom-left-radius: 3px;
}
.standard tr:last-child > :last-child {
  border-bottom-right-radius: 3px;
}
.standard th {
padding: 4px;
color: white;
font-weight: bold;
text-align: center;
}
.standard td {
background:#FAFAFA;
padding: 4px;
}
table.csort th {
background: #AE4ABE;
}
table.cmonstre th {
background: #00CC00;
}
table.cboss th {
background: #9C0C0C;
}
table.cpersonnage th {
background: #046380;
}
table.cregion th {
background: #298900;
}
table.cdonjon th {
background: #927D6A;
}
table.cchanson th {
background: #A67E2E;
}
table.calbum th {
background: #663E10;
}
table.cfilm th {
background: #000000;
}
table.cepisode th {
background: #444444;
}
table.cgens th {
background: #FF9300;
}
table.cjeu th {
background: #B1BBCE;
}
table.ccompetence th {
background: #B74000;
}
table.calchimie th {
background: #E9B813;
}
table.cville th {
background: #DFCEA0;
}
table.clivre th {
background: #B8B88D;
}
table.cobjet th {
background: #D1EA45;
}
table.captitude th {
background: #32E5FA;
}
table.cequipement th {
background: #B2DCDD;
}
table.carme th {
background: #DEA493;
}
table.cattribut th {
background: #D21E02;
}
table.cmerch th {
background: #6120AF;
}
/*---------------------------------------PURGATOIRE----------------------------------*/
/*trucs obs à garder ou jeter, c'est selon*/


/*
/*
Ligne 142 : Ligne 430 :
}
}


/*pourtour des infoboxes, legacy*/
.infoboxb {
.infoboxb {
   font-size: 89%;  
   font-size: 89%;  
   width: 300px;
   width: 300px;
   background-color: #EFEFEF;
   background-color: #EFEFEF;
   border: solid 1px #888;  
   border: solid 1px #888;
   float: right;
   float: right;
   margin-left: 10px;
   margin-left: 10px;
}
}


/*
/*  
  * Styles standards pour les tableaux
  * PAGE D'ACCUEIL
  * Syntaxe : {| class="standard"
  * Ancienne version
* Encore en cours de développement
  */
  */
.standard {
  background-color: #E5E4E0;
  border-radius: 5px;
  border-collapse: separate;
}


.standard:hover {
/* Boîte de accueil */
  background-color: #D9D9DA;
.fond-boite {
background-image: url('//wikidragonquest.fr/images/8/8a/Fond_carte.png');
border: 2px solid black;
padding: 7px;
margin-top: 6px;
}
}


.standard tr:first-child > :first-child {
/* En-tête de boîte de l'accueil */
  border-top-left-radius: 5px;
.fond-entete {
background-image: url('//wikidragonquest.fr/images/9/94/Fond-entete.png');
font-size: 150%;
color: white;
border-radius: 0.1em;
padding: 5px 10px;
}
}


.standard tr:first-child > :last-child {
/* Tour de boîte de l'accueil */
  border-top-right-radius: 5px;
.tour-boite {
border: 2px solid #BBB;
margin-top: 6px;
padding: 7px;
background-color: #333;
}
}


.standard tr:last-child > :first-child {
.maincategories {
  border-bottom-left-radius: 5px;
display: flex;
flex-wrap: wrap;
justify-content: center;
}
}


.standard tr:last-child > :last-child {
  border-bottom-right-radius: 5px;
}


.standard th {
/* Possibilité de ne pas mettre le titre sous une vidéo - on n'a plus de vidéos pour l'instant après l'indépendance */
  background-color:  #046380;
.no-caption .article-thumb figcaption {
  color: white;
display:none;
  padding: 0.5em;
}
 
.standard td {
  background-color: #F0EFEE;
  padding: 5px;
}
 
.standard tr:hover th {
  background-color: #175C7F;
}
 
.standard tr:hover td {
  background-color: #EBECEC;
}
 
/* Infobox */
.infobox {
max-width: 30%;
float: right;
}
}